Bug 104323 - Installer does not check if IP address is in use and can cause IP conflicts
Installer does not check if IP address is in use and can cause IP conflicts
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i686 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2003-09-12 11:45 EDT by Ean J. Price
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-15 17:34:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ean J. Price 2003-09-12 11:45:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030705

Description of problem:
If anaconda is started using boot.iso to do a network install or a network based
rescue environment it does not check to see if the IP address entered by the
user is already in use on the network.  This allows users to easily create an IP
address conflict ( which is currently wreaking havok on my RHCT/RHCE exams ) if
they plug in the IP address of the server.

In addition, the network configuration dialog should say something like
"Automaticly obtain an IP address using DHCP".  Currently there is no mention of
using DHCP and I think this might improve the clarity a bit.

Version-Release number of selected component (if applicable):
US Distro ( didn't check the respin )

How reproducible:

Steps to Reproduce:
1.Boot off boot.iso or off disc1 and enter askmethod at boot: prompt
2.At network info dialog enter ip address that conflicts with another ip on the
3.Watch all hell break loose.

Actual Results:  The machine who's ip was dup'd was bounced off the network.

Expected Results:  The installer should have returned an error to the user
indicating that the ip was in use and then chastise them for their ignorance.

Additional info:
Comment 1 Jeremy Katz 2003-09-12 12:47:51 EDT
Umm, it says "Use dynamic configuration (BOOTP/DHCP)".  I don't know how much
clearer that can get.  It's even what's selected by default.

And yes, you have all the rope to shoot yourself that you want with static IP. 
There's no real good standard way to tell if an IP is "in use".
Comment 2 Ean J. Price 2003-09-12 14:02:27 EDT
/sbin/ifup already reliably checks this using arping:

if ! arping -q -c 2 -w 3 -D -I ${REALDEVICE} ${IPADDR} ; then
        echo $"Error, some other host already uses address ${IPADDR}."
        exit 1

I can see that this bug may seem trivial at first but I have at least 2 out of
16 students a week do this.  That 12.5%. Many of them are experienced SAs coming
from another Unix.  Thats a good indication that they're doing it out there in
the field as well.

I agree that it is sheer ignorance that would drive them to do it.  However,
that doesn't mean some sanity checking isn't in order.  One ignorant person and
a boot cd should not have the power to bring down an entire site.

BTW - you were right about the dialog.  I got my wires crossed.  Its Friday.

Comment 3 Michael Fulbright 2003-09-15 17:34:47 EDT
Unfortunately we do not have room to include arping in the stage 1 of the
installer, as it is already pretty tight on space.

Note You need to log in before you can comment on or make changes to this bug.